Option Strict On
Module Module1
    Function H(ByVal n As Double, ByVal x As Double) As Double
        If n = 0 Then
            Return 0
        ElseIf n = 1 Then
            Return 2 * x
        Else
            Return 2 * x * H(n - 1, x) - (n - 1) * H(n - 2, x)
        End If

    End Function
    Sub Main()
        Dim n, x As Double
        n = Double.Parse(Console.ReadLine)
        Dim Xmax As Double = 1
        Dim Xmin As Double = -1
        Dim dx As Double = 0.1
        For i As Integer = 0 To CInt((Xmax - Xmin) / dx)
            x = Xmin + i * dx
            Console.WriteLine("{0}   {1}", x, H(n, x))
        Next i
        Main()
        Console.ReadLine()
    End Sub

End Module
